Download it now!
Bug 39547 - ACCESSIBILITY: Image title and description disappear after changing anchor (accessibility)
Summary: ACCESSIBILITY: Image title and description disappear after changing anchor (a...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 RC1
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks: a11y-Windows
  Show dependency treegraph
 
Reported: 2011-07-26 03:46 UTC by Christophe Strobbe
Modified: 2016-09-07 03:24 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christophe Strobbe 2011-07-26 03:46:37 UTC
Changing the image anchor from "To paragraph" (the default) to "To Character"
(or "To Page" or "As Character") makes the image's text alternatives (i.e.
title
and description) disappear. Changing the anchor back from "To Character" to "To
Paragraph" has the same effect. ("Undo" does not restore the text
alternatives.)

Steps to reproduce the issue:
1. Create a new document; enter a few paragraphs of text.
2. Between two of the paragraphs, add an image through the menus Insert >
Picture > From file...
3. Right-click on the image, go to "Description" and fill in the fields Title
and Description. Quit the Description dialog.
4. (Save the document.)
5. Right-click on the image, go to "Anchor" and change the value from "To
Paragraph" to any of the other values. Quit the dialog.
6. Right-click on the image, go to "Description" and check the values Title and
Description: they are now empty.

Current workaround: set the anchor first, and then the Title and Description.
Few people will be aware of the disappearing Title and Decription and think of
the workaround.
The title and description are needed for blind users (or any screen reader
users) and for exporting to audio books (e.g. in the DAISY format, with the OOo
extension odt2daisy). In other words, it's an accessibility issue.

Some notes:
* I have only checked this on Windows XP SP3.
* Bug 32137 (now fixed) was similar: title and description disappeared when adding a caption; the OpenOffice.org fix was reused in LibreOffice.
* This bug has also been reported for OpenOffice.org: http://openoffice.org/bugzilla/show_bug.cgi?id=116143 but has not been fixed there.
Comment 1 Christophe Strobbe 2011-10-13 09:54:26 UTC
I originally found this bug in an older version of LibreOffice Writer; it is also present in the 3.4.3 release, so I changed the version field.
Comment 2 Björn Michaelsen 2011-12-23 12:28:06 UTC Comment hidden (obsolete)
Comment 3 Christophe Strobbe 2012-01-27 03:48:13 UTC
I confirm that this bug is still relevant to LibreOffice 3.5.0 RC1: the text alternatives (title and/or description) still disappear when changing the anchor. While checking this in LibreOffice 3.5.0 RC1  I also discovered that undoing the anchor change (Ctrl + Z) did not bring back the text alternatives. Changing the status from NEEDINFO to NEW.
Comment 4 Niklas Johansson 2013-07-25 07:25:04 UTC
This is still an issue in LibreOffice 4.1.

The same issue at Apache OpenOffice is now located here:
https://issues.apache.org/ooo/show_bug.cgi?id=116143
Comment 5 Christophe Strobbe 2013-08-06 19:02:03 UTC
A corollary of this issue is that the text descriptions are not restored when the anchor change is undone. This behaviour is identical to the behaviour in Apache OpenOffice 4.0.
Comment 6 QA Administrators 2015-04-01 14:41:56 UTC Comment hidden (obsolete)
Comment 7 A (Andy) 2015-04-08 06:04:24 UTC
Reproducible with LO 4.4.1.2, Win 8.1

Note to Step 3 and 6 (changed context menu):
3./6. Go to FORMAT -> OBJECT -> DESCRIPTION

Note to Step 5:
No "Quit the dialog." is necessary
Comment 8 Commit Notification 2015-04-21 12:58:59 UTC
Niklas Johansson committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7e1d81cc9c8677a19f1f5f1adabbe23794828a3a

tdf#39547 Image title/description is lost after changing anchor

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Yousuf Philips (jay) (retired) 2016-09-07 03:24:29 UTC
Verified fixed.

Version: 5.3.0.0.alpha0+
Build ID: f7513f0f53f2d074c08610a68fb787bb379c31d4
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-09-02_23:58:05
Locale: en-US (en_US.UTF-8); Calc: group